Package wx :: Class PreviewControlBar

[frames | no frames]

## Type PreviewControlBar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            PreviewControlBar

Known Subclasses:
  `PyPreviewControlBar`

Proxy of C++ PreviewControlBar class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
PrintPreview | `GetPrintPreview(self)`
int | `GetZoomControl(self)`
| `OnFirst(self)`
| `OnGoto(self)`
| `OnLast(self)`
| `OnNext(self)`
| `OnPrevious(self)`
| `SetZoomControl(self, zoom)`

Property Summary
| `PrintPreview`: See `GetPrintPreview`
| `thisown`: The membership flag
| `ZoomControl`: See `GetZoomControl` and `SetZoomControl`

Instance Method Details

### __init__(self, preview, buttons, parent, pos=DefaultPosition, size=DefaultSize, style=TAB_TRAVERSAL, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Panel.__init__` (inherited documentation)

Property Details

### PrintPreview

See `GetPrintPreview`

  Get Method:
    `GetPrintPreview`(self)

### thisown

The membership flag

### ZoomControl

See `GetZoomControl` and `SetZoomControl`

  Get Method:
    `GetZoomControl`(self)
  Set Method:
    `SetZoomControl`(self, zoom)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:02 2007 | http://epydoc.sf.net